﻿using Microsoft.Extensions.DependencyInjection;
using MVVMwithWPF.ViewModels;
using System.Configuration;
using System.Data;
using System.Windows;

namespace MVVMwithWPF
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        public new static App Current => (App)Application.Current;

        public IServiceProvider Service { get; }

        public App()
        {
            Service = ConfigureServices();
            this.InitializeComponent();
        }

        private static IServiceProvider ConfigureServices()
        {
            var services = new ServiceCollection();

            services.AddTransient(typeof(MainViewModel));

            return services.BuildServiceProvider();
        }
    }

}
