﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace MVVMwithWPF.Converters
{
    class BoolToStringConverter : IValueConverter
    {
        private const string TRUE_VALUE = "남자";
        private const string FALSE_VALUE = "여자";

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is bool b)
                return b ? TRUE_VALUE : FALSE_VALUE;

            return Binding.DoNothing;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is string s)
                return s == TRUE_VALUE ? true : false;

            return Binding.DoNothing;
        }
    }
}
